This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004539 - Failed to give slave programs access to the display
Failed to give slave programs access to the display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 17:37 EDT by Dean Hunter
Modified: 2014-02-05 17:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:21:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
various logs, virt-install output and Anaconda output (119.75 KB, application/gzip)
2013-09-04 17:41 EDT, Dean Hunter
no flags Details

  None (edit)
Description Dean Hunter 2013-09-04 17:37:53 EDT
Description of problem:

The GNOME Display Manager fails to display the screen after boot.  With ssh and top I can to see that Xorg and plymouthd are the only processes active.  There are several messages in the logs:

[root@test ~]# grep gdm /var/log/messages

Sep  4 15:50:52 test dbus-daemon[520]: dbus[520]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.4" (uid=0 pid=544 comm="/usr/sbin/gdm-binary ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=620 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")

Sep  4 15:50:52 test dbus[520]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.4" (uid=0 pid=544 comm="/usr/sbin/gdm-binary ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=620 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")

Sep  4 15:50:56 test gdm-simple-slave[620]: WARNING: Failed to give slave programs access to the display. Trying to proceed.

[root@test ~]# 

I have been working on a bug in the IPA upgrade to Fedora 19 from Fedora 18 so I have been frequently building new Fedora 18 virtual machines from local repositories to keep the builds consistent.  I was out of town for several weeks.  When I returned I forgot I was trying to keep the same Fedora 18 configuration and updated the repositories.  Now I have this problem.  I do not have a problem on Fedora 19.


Version-Release number of selected component (if applicable):

[root@test ~]# uname -r
3.10.10-100.fc18.x86_64

[root@test ~]# rpm -q gdm
gdm-3.6.2-5.fc18.x86_64

[root@test ~]# 


How reproducible: Consistent


Steps to Reproduce:

1. Build a new Fedora 18 VM and watch the console


Actual results: a blank screen


Expected results: the login screen


Additional info:
Comment 1 Dean Hunter 2013-09-04 17:41:26 EDT
Created attachment 793875 [details]
various logs, virt-install output and Anaconda output
Comment 2 Dean Hunter 2013-09-05 12:42:43 EDT
The update that started the problem occurred between 14 and 21 days ago.  I have been deleting rpms from my local updates repository by week then building a new Fedora 18 VM and checking whether the login screen was displayed.  Can you give me any idea what rpm I might exclude from the build to avoid this problem?
Comment 3 Dean Hunter 2013-09-06 14:37:51 EDT
Ah, I was mistaken in Comment 2.  The problem was introduced on 30 Aug and is in this list:

[root@host ~]# find /srv/http/repos/fedora18/updates -daystart -mtime 7 -name *.rpm | sort
/srv/http/repos/fedora18/updates/bluebird-gtk2-theme-0.8-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/bluebird-gtk3-theme-0.8-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/bluebird-metacity-theme-0.8-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/bluebird-xfwm4-theme-0.8-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/ino-0.3.5-5.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/kernel-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-debug-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-debug-devel-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-debug-modules-extra-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-devel-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-doc-3.10.10-100.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/kernel-headers-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-modules-extra-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-tools-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-tools-libs-3.10.10-100.fc18.i686.rpm
/srv/http/repos/fedora18/updates/kernel-tools-libs-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/kernel-tools-libs-devel-3.10.10-100.fc18.i686.rpm
/srv/http/repos/fedora18/updates/kernel-tools-libs-devel-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-3.0.10-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-3.0.10-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-devel-3.0.10-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-devel-3.0.10-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-devel-common-3.0.10-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-doc-3.0.10-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-gtk-2.43.7-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-gtk-2.43.7-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-gtk-devel-2.43.7-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-gtk-devel-2.43.7-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-gtk-devel-common-2.43.7-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-gtk-doc-2.43.7-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-ncurses-2.44.1-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-ncurses-2.44.1-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-ncurses-devel-2.44.1-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-ncurses-devel-2.44.1-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-ncurses-devel-common-2.44.1-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-ncurses-doc-2.44.1-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-qt-2.43.5-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-qt-2.43.5-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-qt-devel-2.43.5-1.fc18.i686.rpm
/srv/http/repos/fedora18/updates/libyui-qt-devel-2.43.5-1.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/libyui-qt-devel-common-2.43.5-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/libyui-qt-doc-2.43.5-1.fc18.noarch.rpm
/srv/http/repos/fedora18/updates/perf-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/perl-yui-1.0.2-7.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/python-perf-3.10.10-100.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/python-yui-1.0.2-7.fc18.x86_64.rpm
/srv/http/repos/fedora18/updates/ruby-yui-1.0.2-7.fc18.x86_64.rpm

[root@host ~]#
Comment 4 Dean Hunter 2013-09-06 16:10:19 EDT
The problem starts when kernel 3.10.10 is available in the local updates repository:

[root@host ~]#   reposync \
>     --config /etc/fedora18.conf \
>     --download_path /srv/http/repos/fedora18 \
>     --download-metadata \
>     --repoid updates
(1/13): kernel-3.10.10-100.fc18.x86_64.rpm                 |  29 MB   00:20     
(2/13): kernel-debug-devel-3.10.10-100.fc18.x86_64.rpm     | 8.3 MB   00:05     
(3/13): kernel-debug-modules-extra-3.10.10-100.fc18.x86_64 | 2.2 MB   00:01     
(4/13): kernel-devel-3.10.10-100.fc18.x86_64.rpm           | 8.2 MB   00:04     
(5/13): kernel-debug-3.10.10-100.fc18.x86_64.rpm           |  31 MB   00:37     
(6/13): kernel-doc-3.10.10-100.fc18.noarch.rpm             |  11 MB   00:06     
(7/13): kernel-headers-3.10.10-100.fc18.x86_64.rpm         | 875 kB   00:01     
(8/13): kernel-modules-extra-3.10.10-100.fc18.x86_64.rpm   | 2.1 MB   00:02     
(9/13): kernel-tools-3.10.10-100.fc18.x86_64.rpm           |  97 kB   00:01     
(10/13): kernel-tools-libs-3.10.10-100.fc18.i686.rpm       |  38 kB   00:01     
(11/13): kernel-tools-libs-3.10.10-100.fc18.x86_64.rpm     |  37 kB   00:01     
(12/13): kernel-tools-libs-devel-3.10.10-100.fc18.i686.rpm |  34 kB   00:01     
(13/13): kernel-tools-libs-devel-3.10.10-100.fc18.x86_64.r |  34 kB   00:01     

[root@host ~]#
Comment 5 Fedora End Of Life 2013-12-21 09:33:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:21:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.